Register the HTTPS URL VantPay POSTs collection notifications to. Optional authToken is echoed as 'Authorization: Bearer ' on each notification so you can verify the source. See the CollectionNotification schema for the payload VantPay will send. Deduplicate on transactionRef.
curl --location 'https://merchantapi-dev.vantpay.io/api/v1/virtual-accounts/set-notification-url' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"notificationUrl": "https://your-domain.example/webhooks/vantpay",
"authToken": "string",
"prefix": "string"
}'{
"isSuccessful": true,
"code": "00",
"message": "Operation successful",
"data": null
}